## org.apache.mahout.collections
Class Constants

    java.lang.Object
      org.apache.mahout.collections.Constants

Direct Known Subclasses:
  Arithmetic

    public class Constants

extends Object

Defines some useful constants.

Field Summary
`protected static double` `BIG`
`protected static double` `BIGINV`
`protected static double` `LOGPI`
`protected static double` `MACHEP`
`protected static double` `MAXGAM`
`protected static double` `MAXLOG`
`protected static double` `MINLOG`
`protected static double` `SQRTH`
`protected static double` `SQTPI`

Constructor Summary
`protected` `Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MACHEP

    protected static final double MACHEP

See Also:
  Constant Field Values

### MAXLOG

    protected static final double MAXLOG

See Also:
  Constant Field Values

### MINLOG

    protected static final double MINLOG

See Also:
  Constant Field Values

### MAXGAM

    protected static final double MAXGAM

See Also:
  Constant Field Values

### SQTPI

    protected static final double SQTPI

See Also:
  Constant Field Values

### SQRTH

    protected static final double SQRTH

See Also:
  Constant Field Values

### LOGPI

    protected static final double LOGPI

See Also:
  Constant Field Values

### BIG

    protected static final double BIG

See Also:
  Constant Field Values

### BIGINV

    protected static final double BIGINV

See Also:
  Constant Field Values

Constructor Detail

### Constants

    protected Constants()

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.